[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "oots"
description = "Once-Only Technical Systems"
version = "0.0.1"
readme = "README.md"
requires-python = ">=3.7"
license = {text = "EUROPEAN UNION PUBLIC LICENCE v. 1.2"}
authors = [
    { name = "Pim van der Eijk", email = "PIM.VAN-DER-EIJK@ext.ec.europa.eu"}
]
classifiers = [
    "Programming Language :: Python :: 3",
]

dependencies = [
    "requests",
    "gevent",
    "Flask",
    "saxonche",
    "lxml",
    "cryptography",
    "dnspython"
]

[tool.setuptools.packages.find]
include = ["oots", "oots.ex", "oots.cs", "oots.utils"]

[project.urls]
"Once-Only Hub" = "https://ec.europa.eu/digital-building-blocks/wikis/display/OOTS/OOTSHUB+Home"

[tool.pylic]
safe_licenses = [
    "BSD License",
    "Apache Software License",
    "EUROPEAN UNION PUBLIC LICENCE v. 1.2",
    "ISC License (ISCL)",
    "MIT License",
    "Mozilla Public License 2.0 (MPL 2.0)",
    "Zope Public License"
]

